package com.engine.organization.util;

import com.google.common.collect.Lists;

import java.util.List;

/**
 * @Author weaver_cl
 * @description:
 * @Date 2022/5/27
 * @Version V1.0
 **/
public class ConfigTrans {

    public static String getCheckBoxPopedom(String status) {
        if ("0".equals(status)) {
            return "true";
        } else {
            return "false";
        }
    }

    public static List<Object> formatSourceOperates(String id, String isDefault) {
        List list = Lists.newArrayList();
        list.add(true);
        if ("0".equals(isDefault)) {
            list.add(true);
        } else {
            list.add(false);
        }
        return list;
    }

    public static List<Object> formatStaffOperates(String id, String isDefault) {
        List list = Lists.newArrayList();
        list.add(true);
        if ("0".equals(isDefault)) {
            list.add(true);
        } else {
            list.add(false);
        }
        list.add(true);
        return list;
    }

    public static List<Object> formatResourceOperates(String id,String isDefault) {
        List list = Lists.newArrayList();
        if ("0".equals(isDefault)) {
            list.add(true);
            list.add(true);
            list.add(false);
        } else {
            list.add(false);
            list.add(false);
            list.add(true);
        }
        return list;
    }

}
